package com.ruoyi.ehsIndexStatistics.service;

import com.ruoyi.ehsIndexStatistics.vo.EhsIndexStatistics;
import com.ruoyi.ehsIndexStatistics.vo.HiddenDangerRankVo;
import com.ruoyi.ehsIndexStatistics.vo.HiddenDangerStatisticsVo;
import com.ruoyi.ehsIndexStatistics.vo.HiddenDangerVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface EhsIndexStatisticsService {

    EhsIndexStatistics getEhsIndexStatistics();
    EhsIndexStatistics getSuperviseAndHandle();

    List<EhsIndexStatistics> getEhsIndexStatisticsList();
    List<HiddenDangerVo> getHiddenDangerVoList(HiddenDangerVo vo);

    /**
     * 按行政区域统计
     */
    List<HiddenDangerStatisticsVo> getHiddenDangerSituationList();
    /**
     * 按公司统计
     */
    List<HiddenDangerStatisticsVo> getHiddenDangerSituationByEnterpriseNameList();
    /**
     * 上报隐患排名
     */
    List<HiddenDangerRankVo> getHiddenDangerRankVoList();
    List<HiddenDangerRankVo> getHiddenDangerRankVoByDeptIdList();
    List<Map<String,Object>> getEnterpriseMapList();
    List<Map<String,Object>> geteconomicTypeMapList();
    List<Map<String,Object>> getenterpriseScaleMapList();
    List<Map<String,Object>> getHiddenDangerTypeMapList();
    List<Map<String,Object>> getHiddenDangerDataMapList(String yearStr);
}
